# Gs1Handling enum

GS1_COMPOSITE barcode type handling

Inheritance
  - Object
  - Enum
  - Gs1Handling

## Constructors

Gs1Handling()
  const

## Values

NONE → const Gs1Handling

  No special handling for GS1-formatted results. Special (FNC1) characters are stripped.

PARSE → const Gs1Handling

  GS1 messages are converted to machine-readable format per the GS1 spec (the special character is converted to ASCII \x1D). Message is not validated. The implied 01 AI key is prepended to DataBar results.

VALIDATE → const Gs1Handling

  GS1 messages are converted to machine-readable format per the GS1 spec (the special character is converted to ASCII \x1D) and validated. The implied 01 AI key is prepended to DataBar results. Invalid messages are not returned.

DECODE → const Gs1Handling

  GS1 strings are converted to human-readable format and validated. The implied (01) AI key is prepended to DataBar results. Invalid messages are not returned.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<Gs1Handling>
  A constant List of the values in this enum, in order of their declaration.